library(ggplot2)
library(tidyr)

#faili sisselugemine ja andmete formaadi korrigeerimine
J414=read.csv("PT4-T4.1-J4.1.4.csv",header=TRUE, encoding ="UTF-8")
names(J414)=gsub("\\.", " ", names(J414))
J414=pivot_longer(J414,2:3)
J414$X=as.factor(J414$X)
J414$X=factor(J414$X,levels(J414$X)[order(c(5,4,2,8,1,3,7,6))])


#joonis
ggplot(J414)+
  geom_col(aes(x=X,y=value,fill=name),pos=position_dodge(1),width=0.7)+
  geom_text(aes(x=X,y=value+0.3,group=name,label=value),pos=position_dodge(0.8),size=3)+
  coord_flip()+
  scale_fill_manual(values=c("#6666cc","#ff3600"),breaks=c("Emotsionaalsed probleemid","Eluga rahulolu"))+
  theme_minimal()+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  scale_y_continuous(breaks=seq(0,10,2))+
  theme(legend.position = "bottom")+
  theme(legend.title = element_blank())+
  xlab("")+
  ylab("")







